Skip to main content
GET
/
workflows
/
v1
/
global-variables
/
{variable_id}
Get Global Variable Endpoint
curl --request GET \
  --url https://api-qa.interactly.ai/workflows/v1/global-variables/{variable_id} \
  --header 'Authorization: Bearer <token>'
{
  "variable": {
    "name": "<string>",
    "team_id": "<string>",
    "created_by": "<string>",
    "updated_by": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "_id": "5eb7cf5a86d9755df3a6c593",
    "value": "",
    "description": "<string>",
    "category": "<string>",
    "is_secret": false
  }
}

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Path Parameters

variable_id
string
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Response

Successful Response

variable
GlobalVariablesModel · object
required

Stores organization/team-level global variables that are automatically injected into every workflow execution for that team.